<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-267"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FGeneral%2FXHXExtention%2FXHXBlankView.m%20%E6%BA%90%E6%96%87%E4%BB%B6"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/General/XHXExtention/XHXBlankView.m 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_3d53dd88e59abdcd55a12c7e475393fb.html">General</a></li><li class="navelem"><a class="el" href="dir_75ef1552821c94bf02b2a1727d8d97ae.html">XHXExtention</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">XHXBlankView.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_x_h_x_blank_view_8m.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&nbsp;<span class="comment">//  XHXBlankView.m</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&nbsp;<span class="comment">//  Masonry</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&nbsp;<span class="comment">//  Created by 江俊辰 on 2018/3/26.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&nbsp; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&nbsp;<span class="preprocessor">#import &#34;<a class="code" href="_x_h_x_blank_view_8h.html">XHXBlankView.h</a>&#34;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&nbsp;<span class="preprocessor">#import &lt;objc/runtime.h&gt;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&nbsp;<span class="preprocessor">#import &lt;KKLThirdParty/Masonry.h&gt;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&nbsp; </div>
<div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="_x_h_x_blank_view_8m.html#a6626c10b31a2a91c19b1dccad30ba272">   12</a></span>&nbsp;<span class="preprocessor">#define XHXBlankHiddenAnimationDuration       0.3</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&nbsp; </div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&nbsp; </div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="interface_x_h_x_blank_view.html#ae7d5dcd4b697e9ca3d9610255efb64e1">   15</a></span>&nbsp;<span class="keyword">static</span> <span class="keywordtype">char</span> kBlankViewKey;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&nbsp; </div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&nbsp;<span class="keyword">@implementation </span><a class="code" href="interface_x_h_x_blank_view.html">XHXBlankView</a></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&nbsp;<span class="keyword">@synthesize</span> <a class="code" href="interface_x_h_x_blank_view.html#ad58894774a7544c65288b4ec5ef0c101">contentView</a> = _contentView;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&nbsp; </div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&nbsp;- (instancetype)init {</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&nbsp;    <span class="keyword">self</span> = [<span class="keyword">super</span> init];</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&nbsp;    <span class="keywordflow">if</span> (<span class="keyword">self</span>) {</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&nbsp;        [<span class="keyword">self</span> <a class="code" href="interface_x_h_x_blank_view.html#afb4aeea762e27b04d41132d401d69685">setupSubViews</a>];</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&nbsp;    }</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&nbsp;    <span class="keywordflow">return</span> <span class="keyword">self</span>;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&nbsp;}</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&nbsp; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&nbsp;- (instancetype)initWithFrame:(CGRect)frame {</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&nbsp;    <span class="keyword">self</span> = [<span class="keyword">super</span> initWithFrame:frame];</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&nbsp;    <span class="keywordflow">if</span> (<span class="keyword">self</span>) {</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&nbsp;        [<span class="keyword">self</span> setupSubViews];</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&nbsp;    }</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&nbsp;    <span class="keywordflow">return</span> <span class="keyword">self</span>;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&nbsp;}</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&nbsp; </div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&nbsp;- (instancetype)initWithCoder:(NSCoder *)coder {</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&nbsp;    <span class="keyword">self</span> = [<span class="keyword">super</span> initWithCoder:coder];</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&nbsp;    <span class="keywordflow">if</span> (<span class="keyword">self</span>) {</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&nbsp;        [<span class="keyword">self</span> setupSubViews];</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&nbsp;    }</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&nbsp;    <span class="keywordflow">return</span> <span class="keyword">self</span>;</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&nbsp;}</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&nbsp; </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&nbsp;- (void)<a class="code" href="interface_x_h_x_blank_view.html#afb4aeea762e27b04d41132d401d69685">setupSubViews</a> {</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&nbsp;    </div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&nbsp;}</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&nbsp;- (void)setTopOffset:(CGFloat)topOffset {</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&nbsp;    <span class="keywordflow">if</span> (_topOffset != topOffset &amp;&amp; <span class="keyword">self</span>.superview) {</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&nbsp;        [<span class="keyword">self</span> mas_remakeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&nbsp;            make.centerX.equalTo(self.superview);</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&nbsp;            make.left.greaterThanOrEqualTo(self.superview);</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&nbsp;            make.right.lessThanOrEqualTo(self.superview);</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&nbsp;            make.bottom.lessThanOrEqualTo(self.superview);</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&nbsp;            if (topOffset == 0) {</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&nbsp;                make.centerY.equalTo(self.superview);</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&nbsp;            } else {</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&nbsp;                make.top.equalTo(self.superview).offset(topOffset);</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&nbsp;            }</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&nbsp;        }];</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&nbsp;    }</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&nbsp;    _topOffset = topOffset;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&nbsp;}</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&nbsp;- (void)setContentView:(UIView *)contentView {</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&nbsp;    [_contentView removeFromSuperview];</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&nbsp;    [<span class="keyword">self</span> addSubview:contentView];</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&nbsp;    [contentView mas_makeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&nbsp;        make.edges.mas_equalTo(UIEdgeInsetsZero);</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&nbsp;    }];</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&nbsp;}</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&nbsp; </div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&nbsp;+ (instancetype)<a class="code" href="interface_x_h_x_blank_view.html#a297fdebfa0b1d7221b9f6e7418c82e56">blankView</a> {</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&nbsp;    <span class="keywordflow">return</span> [[<span class="keyword">self</span> alloc] init];</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&nbsp;}</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&nbsp; </div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&nbsp;+ (<a class="code" href="interface_x_h_x_blank_view.html">XHXBlankView</a> *)blankViewInView:(UIView *)view {</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&nbsp;    <span class="keywordflow">return</span> objc_getAssociatedObject(view, &amp;kBlankViewKey);</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&nbsp;}</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&nbsp; </div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&nbsp;+ (instancetype)showInView:(UIView *)view animated:(BOOL)animated {</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&nbsp;    <a class="code" href="interface_x_h_x_blank_view.html">XHXBlankView</a> *blank = [<span class="keyword">self</span> blankView];</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&nbsp;    [blank <a class="code" href="interface_x_h_x_blank_view.html#ae7d5dcd4b697e9ca3d9610255efb64e1">showInView</a>:view <a class="code" href="interface_x_h_x_blank_view.html#ae7d5dcd4b697e9ca3d9610255efb64e1">animated</a>:animated];</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&nbsp;    <span class="keywordflow">return</span> blank;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&nbsp;}</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&nbsp; </div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&nbsp;+ (instancetype)hideInView:(UIView *)view animated:(BOOL)animated {</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&nbsp;    <a class="code" href="interface_x_h_x_blank_view.html">XHXBlankView</a> *blank = [<a class="code" href="interface_x_h_x_blank_view.html">XHXBlankView</a> <a class="code" href="interface_x_h_x_blank_view.html#abd679aaa10becc10d4f69d50cad041c0">blankViewInView</a>:view];</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&nbsp;    [blank <a class="code" href="interface_x_h_x_blank_view.html#ab10606e0ea7e914ab95adc3bc64cf173">hideWithAnimated</a>:animated];</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&nbsp;    <span class="keywordflow">return</span> blank;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&nbsp;}</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&nbsp; </div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&nbsp;- (void)showInView:(UIView *)view animated:(BOOL)animated {</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&nbsp;    <a class="code" href="interface_x_h_x_blank_view.html">XHXBlankView</a> *oldBlankView = [<a class="code" href="interface_x_h_x_blank_view.html">XHXBlankView</a> <a class="code" href="interface_x_h_x_blank_view.html#abd679aaa10becc10d4f69d50cad041c0">blankViewInView</a>:view];</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&nbsp;    <span class="keywordflow">if</span> (!view || [oldBlankView isEqual:<span class="keyword">self</span>]) {</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&nbsp;        <span class="keywordflow">return</span>;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&nbsp;    }</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&nbsp;    <span class="keywordflow">if</span> (oldBlankView) {</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&nbsp;        [oldBlankView <a class="code" href="interface_x_h_x_blank_view.html#ab10606e0ea7e914ab95adc3bc64cf173">hideWithAnimated</a>:YES];</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&nbsp;    }</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&nbsp;    objc_setAssociatedObject(view, &amp;kBlankViewKey, <span class="keyword">self</span>, OBJC_ASSOCIATION_RETAIN_NONATOMIC);</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&nbsp;    <span class="keyword">self</span>.alpha = 0;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&nbsp;    [view addSubview:self];</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&nbsp;    [<span class="keyword">self</span> mas_makeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&nbsp;        make.centerX.mas_equalTo(0);</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&nbsp;        make.left.mas_greaterThanOrEqualTo(0);</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&nbsp;        make.right.mas_lessThanOrEqualTo(0);</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&nbsp;        make.bottom.mas_lessThanOrEqualTo(0);</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&nbsp;        if (self.topOffset == 0) {</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&nbsp;            make.centerY.mas_equalTo(0);</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&nbsp;        } else {</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&nbsp;            make.top.mas_offset(self.topOffset);</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&nbsp;        }</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&nbsp;    }];</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&nbsp;    [UIView transitionWithView:self</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&nbsp;                      duration:XHXBlankHiddenAnimationDuration</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&nbsp;                       options:UIViewAnimationOptionTransitionCrossDissolve</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&nbsp;                    animations:^{</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&nbsp;                        <span class="keyword">self</span>.hidden = NO;</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&nbsp;                        self.alpha = 1;</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&nbsp;                    }</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&nbsp;                    completion:nil];</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&nbsp;}</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&nbsp; </div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&nbsp;- (void)hideWithAnimated:(BOOL)animated {</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&nbsp;    <span class="keywordflow">if</span> (<span class="keyword">self</span>.superview) {</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&nbsp;        objc_setAssociatedObject(<span class="keyword">self</span>.superview, &amp;kBlankViewKey, nil, OBJC_ASSOCIATION_RETAIN_NONATOMIC);</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&nbsp;        [UIView transitionWithView:self</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&nbsp;                          duration:XHXBlankHiddenAnimationDuration</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&nbsp;                           options:UIViewAnimationOptionTransitionCrossDissolve</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&nbsp;                        animations:^{</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&nbsp;                            <span class="keyword">self</span>.hidden = YES;</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&nbsp;                            self.alpha = 0;</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&nbsp;                        }</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&nbsp;                        completion:^(BOOL finished) {</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&nbsp;                            [<span class="keyword">self</span> removeFromSuperview];</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&nbsp;                        }];</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&nbsp;    }</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&nbsp;}</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&nbsp; </div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&nbsp;<span class="keyword">@end</span></div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&nbsp; </div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&nbsp; </div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&nbsp;<span class="preprocessor">#pragma mark - XHXImageBlankView</span></div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&nbsp;<span class="keyword">@implementation </span><a class="code" href="interface_x_h_x_image_blank_view.html">XHXImageBlankView</a></div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&nbsp;<span class="keyword">@synthesize</span> <a class="code" href="interface_x_h_x_image_blank_view.html#a5a6138289eb5f89dbaf1307c5ed31f4d">imageView</a> = _imageView;</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&nbsp;<span class="keyword">@synthesize</span> <a class="code" href="interface_x_h_x_image_blank_view.html#ab7808b23f58c2b953ef62487165098c5">animationView</a> = _animationView;</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&nbsp; </div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&nbsp;- (UIImageView *)<a class="code" href="interface_x_h_x_image_blank_view.html#a5a6138289eb5f89dbaf1307c5ed31f4d">imageView</a> {</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&nbsp;    <span class="keywordflow">if</span> (!_imageView) {</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&nbsp;        _imageView = [[UIImageView alloc] initWithFrame:CGRectZero];</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&nbsp;        _imageView.clipsToBounds = YES;</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&nbsp;        [_imageView setContentHuggingPriority:UILayoutPriorityDefaultHigh forAxis:UILayoutConstraintAxisHorizontal];</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&nbsp;        [_imageView setContentHuggingPriority:UILayoutPriorityDefaultHigh forAxis:UILayoutConstraintAxisVertical];</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&nbsp;        _imageView.contentMode = UIViewContentModeScaleAspectFill;</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&nbsp;    }</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&nbsp;    <span class="keywordflow">return</span> _imageView;</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&nbsp;}</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&nbsp; </div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&nbsp; </div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&nbsp; </div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&nbsp; </div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&nbsp;- (void)<a class="code" href="interface_x_h_x_blank_view.html#afb4aeea762e27b04d41132d401d69685">setupSubViews</a> {</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&nbsp;    <span class="keyword">self</span>.contentView = <span class="keyword">self</span>.imageView;</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&nbsp;}</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&nbsp; </div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&nbsp;- (void)hideWithAnimated:(BOOL)animated {</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&nbsp;    [<span class="keyword">super</span> hideWithAnimated:animated];</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&nbsp;    <span class="keywordflow">if</span> (<span class="keyword">self</span>.<a class="code" href="interface_x_h_x_image_blank_view.html#ab7808b23f58c2b953ef62487165098c5">animationView</a>.isAnimationPlaying) {</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&nbsp;        [<span class="keyword">self</span>.animationView stop];</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&nbsp;    }</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&nbsp;}</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&nbsp; </div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&nbsp;<span class="keyword">@end</span></div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&nbsp; </div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&nbsp;<span class="preprocessor">#pragma mark - XHXAtivityBlankView</span></div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&nbsp;<span class="keyword">@implementation </span><a class="code" href="interface_x_h_x_activity_blank_view.html">XHXActivityBlankView</a></div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&nbsp;<span class="keyword">@synthesize</span> <a class="code" href="interface_x_h_x_activity_blank_view.html#adda70ee086ec0c39fd33a69cdbe183c2">activityView</a> = _activityView;</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&nbsp; </div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&nbsp;- (UIActivityIndicatorView *)<a class="code" href="interface_x_h_x_activity_blank_view.html#adda70ee086ec0c39fd33a69cdbe183c2">activityView</a> {</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&nbsp;    <span class="keywordflow">if</span> (!_activityView) {</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&nbsp;        _activityView = [[UIActivityIndicatorView alloc] initWithActivityIndicatorStyle:UIActivityIndicatorViewStyleWhiteLarge];</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&nbsp;        [_activityView setContentHuggingPriority:UILayoutPriorityDefaultHigh forAxis:UILayoutConstraintAxisHorizontal];</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&nbsp;        [_activityView setContentHuggingPriority:UILayoutPriorityDefaultHigh forAxis:UILayoutConstraintAxisVertical];</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&nbsp;        [_activityView setContentCompressionResistancePriority:UILayoutPriorityDefaultHigh forAxis:UILayoutConstraintAxisHorizontal];</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&nbsp;        [_activityView setContentCompressionResistancePriority:UILayoutPriorityDefaultHigh forAxis:UILayoutConstraintAxisVertical];</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&nbsp;        _activityView.color = [UIColor grayColor];</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&nbsp;    }</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&nbsp;    <span class="keywordflow">return</span> _activityView;</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&nbsp;}</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&nbsp; </div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&nbsp;- (void)<a class="code" href="interface_x_h_x_blank_view.html#afb4aeea762e27b04d41132d401d69685">setupSubViews</a> {</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&nbsp;    <span class="keyword">self</span>.contentView = <span class="keyword">self</span>.activityView;</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&nbsp;}</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&nbsp; </div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&nbsp;- (void)showInView:(UIView *)view animated:(BOOL)animated {</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&nbsp;    [<span class="keyword">super</span> showInView:view animated:animated];</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&nbsp;    [<span class="keyword">self</span>.activityView startAnimating];</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&nbsp;}</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&nbsp; </div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&nbsp;- (void)hideWithAnimated:(BOOL)animated {</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&nbsp;    [<span class="keyword">super</span> hideWithAnimated:animated];</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&nbsp;    [<span class="keyword">self</span>.activityView stopAnimating];</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&nbsp;}</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&nbsp; </div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&nbsp;<span class="keyword">@end</span></div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&nbsp; </div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&nbsp; </div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&nbsp;<span class="preprocessor">#pragma mark - XHXTextBlankView</span></div>
<div class="line"><a name="l00208"></a><span class="lineno"><a class="line" href="category_x_h_x_text_blank_view_07_08.html">  208</a></span>&nbsp;<span class="keyword">@interface </span><a class="code" href="interface_x_h_x_text_blank_view.html">XHXTextBlankView</a> ()</div>
<div class="line"><a name="l00209"></a><span class="lineno"><a class="line" href="interface_x_h_x_text_blank_view.html#a74bd95cf015d95c27348cedf5588f2b3">  209</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, copy) <span class="keywordtype">void</span>(^refreshBlock)(void);</div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&nbsp;<span class="keyword">@end</span></div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&nbsp; </div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&nbsp;<span class="keyword">@implementation </span><a class="code" href="interface_x_h_x_text_blank_view.html">XHXTextBlankView</a></div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&nbsp;<span class="keyword">@synthesize</span> <a class="code" href="interface_x_h_x_text_blank_view.html#ae2ab3c07287c4b8f0043b07d817ea5b5">textLabel</a> = _textLabel;</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&nbsp;<span class="keyword">@synthesize</span> <a class="code" href="interface_x_h_x_text_blank_view.html#aa1df327fc418a74ad5ce096e18482be5">subTextLabel</a> = _subTextLabel;</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&nbsp;<span class="keyword">@synthesize</span> <a class="code" href="interface_x_h_x_text_blank_view.html#aef9f66e71c028928a1023785c97e433c">refreshButton</a> = _refreshButton;</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&nbsp; </div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&nbsp;- (void)<a class="code" href="interface_x_h_x_blank_view.html#afb4aeea762e27b04d41132d401d69685">setupSubViews</a> {</div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&nbsp;    UIView *<a class="code" href="interface_x_h_x_blank_view.html#ad58894774a7544c65288b4ec5ef0c101">contentView</a> = [[UIView alloc] initWithFrame:CGRectZero];</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&nbsp;    [contentView addSubview:self.imageView];</div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&nbsp;    [contentView addSubview:self.textLabel];</div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&nbsp;    [contentView addSubview:self.subTextLabel];</div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&nbsp;    [contentView addSubview:self.refreshButton];</div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&nbsp;    <span class="keyword">self</span>.contentView = <a class="code" href="interface_x_h_x_blank_view.html#ad58894774a7544c65288b4ec5ef0c101">contentView</a>;</div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&nbsp;    </div>
<div class="line"><a name="l00225"></a><span class="lineno">  225</span>&nbsp;    [<span class="keyword">self</span>.imageView mas_makeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&nbsp;        make.top.mas_equalTo(0);</div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&nbsp;        make.centerX.mas_equalTo(0);</div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&nbsp;        make.left.mas_greaterThanOrEqualTo(10);</div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&nbsp;        make.right.mas_lessThanOrEqualTo(-10);</div>
<div class="line"><a name="l00230"></a><span class="lineno">  230</span>&nbsp;    }];</div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&nbsp;    </div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&nbsp;    [<span class="keyword">self</span>.textLabel mas_makeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00233"></a><span class="lineno">  233</span>&nbsp;        make.top.equalTo(self.imageView.mas_bottom).offset(20);</div>
<div class="line"><a name="l00234"></a><span class="lineno">  234</span>&nbsp;        make.centerX.mas_equalTo(0);</div>
<div class="line"><a name="l00235"></a><span class="lineno">  235</span>&nbsp;        make.left.mas_greaterThanOrEqualTo(10);</div>
<div class="line"><a name="l00236"></a><span class="lineno">  236</span>&nbsp;        make.right.mas_lessThanOrEqualTo(-10);</div>
<div class="line"><a name="l00237"></a><span class="lineno">  237</span>&nbsp;    }];</div>
<div class="line"><a name="l00238"></a><span class="lineno">  238</span>&nbsp;    </div>
<div class="line"><a name="l00239"></a><span class="lineno">  239</span>&nbsp;    [<span class="keyword">self</span>.subTextLabel mas_makeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00240"></a><span class="lineno">  240</span>&nbsp;        make.top.equalTo(self.textLabel.mas_bottom).offset(6);</div>
<div class="line"><a name="l00241"></a><span class="lineno">  241</span>&nbsp;        make.centerX.equalTo(self);</div>
<div class="line"><a name="l00242"></a><span class="lineno">  242</span>&nbsp;        make.left.mas_greaterThanOrEqualTo(10);</div>
<div class="line"><a name="l00243"></a><span class="lineno">  243</span>&nbsp;        make.right.mas_lessThanOrEqualTo(-10);</div>
<div class="line"><a name="l00244"></a><span class="lineno">  244</span>&nbsp;    }];</div>
<div class="line"><a name="l00245"></a><span class="lineno">  245</span>&nbsp;    </div>
<div class="line"><a name="l00246"></a><span class="lineno">  246</span>&nbsp;    [<span class="keyword">self</span>.refreshButton mas_makeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00247"></a><span class="lineno">  247</span>&nbsp;        make.top.equalTo(self.subTextLabel.mas_bottom).offset(20);</div>
<div class="line"><a name="l00248"></a><span class="lineno">  248</span>&nbsp;        make.bottom.mas_equalTo(-20);</div>
<div class="line"><a name="l00249"></a><span class="lineno">  249</span>&nbsp;        make.centerX.mas_equalTo(0);</div>
<div class="line"><a name="l00250"></a><span class="lineno">  250</span>&nbsp;        make.size.mas_equalTo(CGSizeMake(200, 40));</div>
<div class="line"><a name="l00251"></a><span class="lineno">  251</span>&nbsp;    }];</div>
<div class="line"><a name="l00252"></a><span class="lineno">  252</span>&nbsp;}</div>
<div class="line"><a name="l00253"></a><span class="lineno">  253</span>&nbsp; </div>
<div class="line"><a name="l00254"></a><span class="lineno">  254</span>&nbsp;- (void)setRefreshTitle:(NSString *)title target:(<span class="keywordtype">id</span>)target action:(<span class="keywordtype">SEL</span>)action {</div>
<div class="line"><a name="l00255"></a><span class="lineno">  255</span>&nbsp;    [<span class="keyword">self</span>.refreshButton setTitle:title forState:UIControlStateNormal];</div>
<div class="line"><a name="l00256"></a><span class="lineno">  256</span>&nbsp;    <span class="keyword">self</span>.refreshButton.hidden = !title;</div>
<div class="line"><a name="l00257"></a><span class="lineno">  257</span>&nbsp;    [<span class="keyword">self</span>.refreshButton removeTarget:nil action:nil forControlEvents:UIControlEventTouchUpInside];</div>
<div class="line"><a name="l00258"></a><span class="lineno">  258</span>&nbsp;    <span class="keywordflow">if</span> (target &amp;&amp; action) {</div>
<div class="line"><a name="l00259"></a><span class="lineno">  259</span>&nbsp;        [<span class="keyword">self</span>.refreshButton addTarget:target action:action forControlEvents:UIControlEventTouchUpInside];</div>
<div class="line"><a name="l00260"></a><span class="lineno">  260</span>&nbsp;    }</div>
<div class="line"><a name="l00261"></a><span class="lineno">  261</span>&nbsp;}</div>
<div class="line"><a name="l00262"></a><span class="lineno">  262</span>&nbsp; </div>
<div class="line"><a name="l00263"></a><span class="lineno">  263</span>&nbsp;- (void)setRefreshTitle:(NSString *)title actionBlock:(<span class="keywordtype">void</span>(^)(<span class="keywordtype">void</span>))block {</div>
<div class="line"><a name="l00264"></a><span class="lineno">  264</span>&nbsp;    <span class="keyword">self</span>.refreshBlock = block;</div>
<div class="line"><a name="l00265"></a><span class="lineno">  265</span>&nbsp;    [<span class="keyword">self</span> setRefreshTitle:title target:self action:@selector(actionRefresh:)];</div>
<div class="line"><a name="l00266"></a><span class="lineno">  266</span>&nbsp;}</div>
<div class="line"><a name="l00267"></a><span class="lineno">  267</span>&nbsp; </div>
<div class="line"><a name="l00268"></a><span class="lineno">  268</span>&nbsp;- (void)actionRefresh:(<span class="keywordtype">id</span>)sender {</div>
<div class="line"><a name="l00269"></a><span class="lineno">  269</span>&nbsp;    <span class="keywordflow">if</span> (<span class="keyword">self</span>.refreshBlock) {</div>
<div class="line"><a name="l00270"></a><span class="lineno">  270</span>&nbsp;        <span class="keyword">self</span>.refreshBlock();</div>
<div class="line"><a name="l00271"></a><span class="lineno">  271</span>&nbsp;    }</div>
<div class="line"><a name="l00272"></a><span class="lineno">  272</span>&nbsp;}</div>
<div class="line"><a name="l00273"></a><span class="lineno">  273</span>&nbsp;<span class="preprocessor">#pragma mark - Getter</span></div>
<div class="line"><a name="l00274"></a><span class="lineno">  274</span>&nbsp;- (UILabel *)<a class="code" href="interface_x_h_x_text_blank_view.html#ae2ab3c07287c4b8f0043b07d817ea5b5">textLabel</a> {</div>
<div class="line"><a name="l00275"></a><span class="lineno">  275</span>&nbsp;    <span class="keywordflow">if</span> (!_textLabel) {</div>
<div class="line"><a name="l00276"></a><span class="lineno">  276</span>&nbsp;        _textLabel = [[UILabel alloc] initWithFrame:CGRectZero];</div>
<div class="line"><a name="l00277"></a><span class="lineno">  277</span>&nbsp;        _textLabel.textAlignment = NSTextAlignmentCenter;</div>
<div class="line"><a name="l00278"></a><span class="lineno">  278</span>&nbsp;        _textLabel.numberOfLines = 7;</div>
<div class="line"><a name="l00279"></a><span class="lineno">  279</span>&nbsp;        _textLabel.font = [UIFont systemFontOfSize:17.0];</div>
<div class="line"><a name="l00280"></a><span class="lineno">  280</span>&nbsp;        _textLabel.textColor = [UIColor colorWithRed:51.0/255.0 green:51.0/255.0 blue:51.0/255.0 alpha:1];</div>
<div class="line"><a name="l00281"></a><span class="lineno">  281</span>&nbsp;    }</div>
<div class="line"><a name="l00282"></a><span class="lineno">  282</span>&nbsp;    <span class="keywordflow">return</span> _textLabel;</div>
<div class="line"><a name="l00283"></a><span class="lineno">  283</span>&nbsp;}</div>
<div class="line"><a name="l00284"></a><span class="lineno">  284</span>&nbsp; </div>
<div class="line"><a name="l00285"></a><span class="lineno">  285</span>&nbsp;- (UILabel *)<a class="code" href="interface_x_h_x_text_blank_view.html#aa1df327fc418a74ad5ce096e18482be5">subTextLabel</a> {</div>
<div class="line"><a name="l00286"></a><span class="lineno">  286</span>&nbsp;    <span class="keywordflow">if</span> (!_subTextLabel) {</div>
<div class="line"><a name="l00287"></a><span class="lineno">  287</span>&nbsp;        _subTextLabel = [[UILabel alloc] initWithFrame:CGRectZero];</div>
<div class="line"><a name="l00288"></a><span class="lineno">  288</span>&nbsp;        _subTextLabel.textAlignment = NSTextAlignmentCenter;</div>
<div class="line"><a name="l00289"></a><span class="lineno">  289</span>&nbsp;        _subTextLabel.numberOfLines = 7;</div>
<div class="line"><a name="l00290"></a><span class="lineno">  290</span>&nbsp;        _subTextLabel.font = [UIFont systemFontOfSize:15.0];</div>
<div class="line"><a name="l00291"></a><span class="lineno">  291</span>&nbsp;        _subTextLabel.textColor = [UIColor colorWithRed:153.0/255.0 green:153.0/255.0 blue:153.0/255.0 alpha:1];</div>
<div class="line"><a name="l00292"></a><span class="lineno">  292</span>&nbsp;    }</div>
<div class="line"><a name="l00293"></a><span class="lineno">  293</span>&nbsp;    <span class="keywordflow">return</span> _subTextLabel;</div>
<div class="line"><a name="l00294"></a><span class="lineno">  294</span>&nbsp;}</div>
<div class="line"><a name="l00295"></a><span class="lineno">  295</span>&nbsp; </div>
<div class="line"><a name="l00296"></a><span class="lineno">  296</span>&nbsp;- (UIButton *)<a class="code" href="interface_x_h_x_text_blank_view.html#aef9f66e71c028928a1023785c97e433c">refreshButton</a> {</div>
<div class="line"><a name="l00297"></a><span class="lineno">  297</span>&nbsp;    <span class="keywordflow">if</span> (!_refreshButton) {</div>
<div class="line"><a name="l00298"></a><span class="lineno">  298</span>&nbsp;        _refreshButton = [[UIButton alloc] initWithFrame:CGRectZero];</div>
<div class="line"><a name="l00299"></a><span class="lineno">  299</span>&nbsp;        _refreshButton.backgroundColor = [UIColor colorWithRed:13.0/255.0 green:217.0/255.0 blue:166.0/255.0 alpha:1];</div>
<div class="line"><a name="l00300"></a><span class="lineno">  300</span>&nbsp;        _refreshButton.layer.cornerRadius = 20;</div>
<div class="line"><a name="l00301"></a><span class="lineno">  301</span>&nbsp;        _refreshButton.clipsToBounds = YES;</div>
<div class="line"><a name="l00302"></a><span class="lineno">  302</span>&nbsp;        _refreshButton.titleLabel.textColor = [UIColor whiteColor];</div>
<div class="line"><a name="l00303"></a><span class="lineno">  303</span>&nbsp;        _refreshButton.titleLabel.font = [UIFont systemFontOfSize:15.0];</div>
<div class="line"><a name="l00304"></a><span class="lineno">  304</span>&nbsp;        _refreshButton.titleLabel.textAlignment = NSTextAlignmentCenter;</div>
<div class="line"><a name="l00305"></a><span class="lineno">  305</span>&nbsp;        _refreshButton.hidden = YES;</div>
<div class="line"><a name="l00306"></a><span class="lineno">  306</span>&nbsp;    }</div>
<div class="line"><a name="l00307"></a><span class="lineno">  307</span>&nbsp;    <span class="keywordflow">return</span> _refreshButton;</div>
<div class="line"><a name="l00308"></a><span class="lineno">  308</span>&nbsp;}</div>
<div class="line"><a name="l00309"></a><span class="lineno">  309</span>&nbsp; </div>
<div class="line"><a name="l00310"></a><span class="lineno">  310</span>&nbsp;<span class="keyword">@end</span></div>
<div class="line"><a name="l00311"></a><span class="lineno">  311</span>&nbsp; </div>
<div class="line"><a name="l00312"></a><span class="lineno">  312</span>&nbsp;<span class="keyword">@implementation </span><a class="code" href="interface_x_h_x_text_loading_blank_view.html">XHXTextLoadingBlankView</a></div>
<div class="line"><a name="l00313"></a><span class="lineno">  313</span>&nbsp;- (void)<a class="code" href="interface_x_h_x_blank_view.html#afb4aeea762e27b04d41132d401d69685">setupSubViews</a> {</div>
<div class="line"><a name="l00314"></a><span class="lineno">  314</span>&nbsp;    UIView *<a class="code" href="interface_x_h_x_blank_view.html#ad58894774a7544c65288b4ec5ef0c101">contentView</a> = [[UIView alloc] initWithFrame:CGRectZero];</div>
<div class="line"><a name="l00315"></a><span class="lineno">  315</span>&nbsp;    [contentView addSubview:self.animationView];</div>
<div class="line"><a name="l00316"></a><span class="lineno">  316</span>&nbsp;    [contentView addSubview:self.textLabel];</div>
<div class="line"><a name="l00317"></a><span class="lineno">  317</span>&nbsp;    [contentView addSubview:self.subTextLabel];</div>
<div class="line"><a name="l00318"></a><span class="lineno">  318</span>&nbsp;    [contentView addSubview:self.refreshButton];</div>
<div class="line"><a name="l00319"></a><span class="lineno">  319</span>&nbsp;    <span class="keyword">self</span>.contentView = <a class="code" href="interface_x_h_x_blank_view.html#ad58894774a7544c65288b4ec5ef0c101">contentView</a>;</div>
<div class="line"><a name="l00320"></a><span class="lineno">  320</span>&nbsp;    </div>
<div class="line"><a name="l00321"></a><span class="lineno">  321</span>&nbsp;    [<span class="keyword">self</span>.animationView mas_makeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00322"></a><span class="lineno">  322</span>&nbsp;        make.top.mas_equalTo(0);</div>
<div class="line"><a name="l00323"></a><span class="lineno">  323</span>&nbsp;        make.centerX.mas_equalTo(0);</div>
<div class="line"><a name="l00324"></a><span class="lineno">  324</span>&nbsp;        make.left.mas_greaterThanOrEqualTo(10);</div>
<div class="line"><a name="l00325"></a><span class="lineno">  325</span>&nbsp;        make.right.mas_lessThanOrEqualTo(-10);</div>
<div class="line"><a name="l00326"></a><span class="lineno">  326</span>&nbsp;    }];</div>
<div class="line"><a name="l00327"></a><span class="lineno">  327</span>&nbsp;    </div>
<div class="line"><a name="l00328"></a><span class="lineno">  328</span>&nbsp;    [<span class="keyword">self</span>.textLabel mas_makeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00329"></a><span class="lineno">  329</span>&nbsp;        make.top.equalTo(self.animationView.mas_bottom).offset(20);</div>
<div class="line"><a name="l00330"></a><span class="lineno">  330</span>&nbsp;        make.centerX.mas_equalTo(0);</div>
<div class="line"><a name="l00331"></a><span class="lineno">  331</span>&nbsp;        make.left.mas_greaterThanOrEqualTo(10);</div>
<div class="line"><a name="l00332"></a><span class="lineno">  332</span>&nbsp;        make.right.mas_lessThanOrEqualTo(-10);</div>
<div class="line"><a name="l00333"></a><span class="lineno">  333</span>&nbsp;    }];</div>
<div class="line"><a name="l00334"></a><span class="lineno">  334</span>&nbsp;    </div>
<div class="line"><a name="l00335"></a><span class="lineno">  335</span>&nbsp;    [<span class="keyword">self</span>.subTextLabel mas_makeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00336"></a><span class="lineno">  336</span>&nbsp;        make.top.equalTo(self.textLabel.mas_bottom).offset(6);</div>
<div class="line"><a name="l00337"></a><span class="lineno">  337</span>&nbsp;        make.centerX.equalTo(self);</div>
<div class="line"><a name="l00338"></a><span class="lineno">  338</span>&nbsp;        make.left.mas_greaterThanOrEqualTo(10);</div>
<div class="line"><a name="l00339"></a><span class="lineno">  339</span>&nbsp;        make.right.mas_lessThanOrEqualTo(-10);</div>
<div class="line"><a name="l00340"></a><span class="lineno">  340</span>&nbsp;    }];</div>
<div class="line"><a name="l00341"></a><span class="lineno">  341</span>&nbsp;    </div>
<div class="line"><a name="l00342"></a><span class="lineno">  342</span>&nbsp;    [<span class="keyword">self</span>.refreshButton mas_makeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00343"></a><span class="lineno">  343</span>&nbsp;        make.top.equalTo(self.subTextLabel.mas_bottom).offset(20);</div>
<div class="line"><a name="l00344"></a><span class="lineno">  344</span>&nbsp;        make.bottom.mas_equalTo(-20);</div>
<div class="line"><a name="l00345"></a><span class="lineno">  345</span>&nbsp;        make.centerX.mas_equalTo(0);</div>
<div class="line"><a name="l00346"></a><span class="lineno">  346</span>&nbsp;        make.size.mas_equalTo(CGSizeMake(200, 40));</div>
<div class="line"><a name="l00347"></a><span class="lineno">  347</span>&nbsp;    }];</div>
<div class="line"><a name="l00348"></a><span class="lineno">  348</span>&nbsp;}</div>
<div class="line"><a name="l00349"></a><span class="lineno">  349</span>&nbsp; </div>
<div class="line"><a name="l00350"></a><span class="lineno">  350</span>&nbsp;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ainterface_x_h_x_text_blank_view_html_ae2ab3c07287c4b8f0043b07d817ea5b5"><div class="ttname"><a href="interface_x_h_x_text_blank_view.html#ae2ab3c07287c4b8f0043b07d817ea5b5">XHXTextBlankView::textLabel</a></div><div class="ttdeci">UILabel * textLabel</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8h_source.html#l00066">XHXBlankView.h:66</a></div></div>
<div class="ttc" id="ainterface_x_h_x_activity_blank_view_html"><div class="ttname"><a href="interface_x_h_x_activity_blank_view.html">XHXActivityBlankView</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8h_source.html#l00060">XHXBlankView.h:61</a></div></div>
<div class="ttc" id="ainterface_x_h_x_text_blank_view_html"><div class="ttname"><a href="interface_x_h_x_text_blank_view.html">XHXTextBlankView</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8h_source.html#l00065">XHXBlankView.h:66</a></div></div>
<div class="ttc" id="ainterface_x_h_x_blank_view_html_abd679aaa10becc10d4f69d50cad041c0"><div class="ttname"><a href="interface_x_h_x_blank_view.html#abd679aaa10becc10d4f69d50cad041c0">+[XHXBlankView blankViewInView:]</a></div><div class="ttdeci">XHXBlankView * blankViewInView:(UIView *view)</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8m_source.html#l00015">XHXBlankView.m:75</a></div></div>
<div class="ttc" id="a_x_h_x_blank_view_8h_html"><div class="ttname"><a href="_x_h_x_blank_view_8h.html">XHXBlankView.h</a></div></div>
<div class="ttc" id="ainterface_x_h_x_activity_blank_view_html_adda70ee086ec0c39fd33a69cdbe183c2"><div class="ttname"><a href="interface_x_h_x_activity_blank_view.html#adda70ee086ec0c39fd33a69cdbe183c2">XHXActivityBlankView::activityView</a></div><div class="ttdeci">UIActivityIndicatorView * activityView</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8h_source.html#l00061">XHXBlankView.h:61</a></div></div>
<div class="ttc" id="ainterface_x_h_x_text_loading_blank_view_html"><div class="ttname"><a href="interface_x_h_x_text_loading_blank_view.html">XHXTextLoadingBlankView</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8h_source.html#l00089">XHXBlankView.h:90</a></div></div>
<div class="ttc" id="ainterface_x_h_x_blank_view_html"><div class="ttname"><a href="interface_x_h_x_blank_view.html">XHXBlankView</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8h_source.html#l00013">XHXBlankView.h:14</a></div></div>
<div class="ttc" id="ainterface_x_h_x_image_blank_view_html_a5a6138289eb5f89dbaf1307c5ed31f4d"><div class="ttname"><a href="interface_x_h_x_image_blank_view.html#a5a6138289eb5f89dbaf1307c5ed31f4d">XHXImageBlankView::imageView</a></div><div class="ttdeci">UIImageView * imageView</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8h_source.html#l00055">XHXBlankView.h:55</a></div></div>
<div class="ttc" id="ainterface_x_h_x_blank_view_html_a297fdebfa0b1d7221b9f6e7418c82e56"><div class="ttname"><a href="interface_x_h_x_blank_view.html#a297fdebfa0b1d7221b9f6e7418c82e56">+[XHXBlankView blankView]</a></div><div class="ttdeci">instancetype blankView()</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8m_source.html#l00015">XHXBlankView.m:71</a></div></div>
<div class="ttc" id="ainterface_x_h_x_blank_view_html_ad58894774a7544c65288b4ec5ef0c101"><div class="ttname"><a href="interface_x_h_x_blank_view.html#ad58894774a7544c65288b4ec5ef0c101">XHXBlankView::contentView</a></div><div class="ttdeci">UIView * contentView</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8h_source.html#l00014">XHXBlankView.h:14</a></div></div>
<div class="ttc" id="ainterface_x_h_x_text_blank_view_html_aef9f66e71c028928a1023785c97e433c"><div class="ttname"><a href="interface_x_h_x_text_blank_view.html#aef9f66e71c028928a1023785c97e433c">XHXTextBlankView::refreshButton</a></div><div class="ttdeci">UIButton * refreshButton</div><div class="ttdoc">副标题</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8h_source.html#l00068">XHXBlankView.h:68</a></div></div>
<div class="ttc" id="ainterface_x_h_x_blank_view_html_afb4aeea762e27b04d41132d401d69685"><div class="ttname"><a href="interface_x_h_x_blank_view.html#afb4aeea762e27b04d41132d401d69685">-[XHXBlankView setupSubViews]</a></div><div class="ttdeci">void setupSubViews()</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8m_source.html#l00015">XHXBlankView.m:44</a></div></div>
<div class="ttc" id="ainterface_x_h_x_blank_view_html_ab10606e0ea7e914ab95adc3bc64cf173"><div class="ttname"><a href="interface_x_h_x_blank_view.html#ab10606e0ea7e914ab95adc3bc64cf173">-[XHXBlankView hideWithAnimated:]</a></div><div class="ttdeci">void hideWithAnimated:(BOOL animated)</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8m_source.html#l00015">XHXBlankView.m:123</a></div></div>
<div class="ttc" id="ainterface_x_h_x_image_blank_view_html_ab7808b23f58c2b953ef62487165098c5"><div class="ttname"><a href="interface_x_h_x_image_blank_view.html#ab7808b23f58c2b953ef62487165098c5">XHXImageBlankView::animationView</a></div><div class="ttdeci">LOTAnimationView * animationView</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8h_source.html#l00056">XHXBlankView.h:56</a></div></div>
<div class="ttc" id="ainterface_x_h_x_text_blank_view_html_aa1df327fc418a74ad5ce096e18482be5"><div class="ttname"><a href="interface_x_h_x_text_blank_view.html#aa1df327fc418a74ad5ce096e18482be5">XHXTextBlankView::subTextLabel</a></div><div class="ttdeci">UILabel * subTextLabel</div><div class="ttdoc">主标题</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8h_source.html#l00067">XHXBlankView.h:67</a></div></div>
<div class="ttc" id="ainterface_x_h_x_blank_view_html_ae7d5dcd4b697e9ca3d9610255efb64e1"><div class="ttname"><a href="interface_x_h_x_blank_view.html#ae7d5dcd4b697e9ca3d9610255efb64e1">+[XHXBlankView showInView:animated:]</a></div><div class="ttdeci">instancetype showInView:animated:(UIView *view,[animated] BOOL animated)</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8m_source.html#l00015">XHXBlankView.m:79</a></div></div>
<div class="ttc" id="ainterface_x_h_x_image_blank_view_html"><div class="ttname"><a href="interface_x_h_x_image_blank_view.html">XHXImageBlankView</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_blank_view_8h_source.html#l00054">XHXBlankView.h:55</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
制作者&nbsp;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>


</body></html>